Bug 63016 - (Konqueror) JavaScript hyperlink with trailing space mishandled
(Konqueror) JavaScript hyperlink with trailing space mishandled
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-09 05:54 EDT by Warren Togami
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-24 00:44:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2002-04-09 05:54:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020405

Description of problem:
This is a follow up to Bug 62901 where slightly strange JavaScript link in a Red
Hat Training page triggered a Konqueror bug.  The test cases showing this
JavaScript bug is detailed in this URL below (page updated Tuesday, April 9th 2002).

http://www.mplug.org/archive/2002/konq_space_bug/

These are test cases showing an inconsistent behavior in Konqueror's handling of
an extraneous trailing space within a certain type of JavaScript link. When you
click this link in Netscape or Mozilla it goes to the normal hyperlink, while
truncating the trailing space within that quoted string. 

Test Case 1 and 2 below shows Konqueror properly handling non-JavaScript links
with a trailing space within the quoted string. This behavior is identical to
Netscape and Mozilla. 

Test Case 3 links to a snippet of HTML from a Red Hat page that caused this
Konqueror bug. View source and notice that the URL in the hyperlink and
javascript are different. Netscape and Mozilla go directly to the hyperlink URL,
while Konqueror goes to the JavaScript URL, converting the trailing space into
%20 then losing knowledge of the prior visited page. (Try clicking Back, it will
incorrectly return to this page instead of example.html.) 

 Test Case 1 - Space after filename - Ignores Trailing Spaces
 Test Case 2 - Space after Slash Ignores Trailing Spaces
 Test Case 3 - Space after Slash with JavaScript When you click "Trigger
Konqueror Bug" on example.html, it changes trailing space into %20, Back button
lost knowledge of the prior page.

Version-Release number of selected component (if applicable):
KDE 3.0.0-3 in Skipjack beta 2

How reproducible:
Always

Steps to Reproduce:
1. Follow directions in the test cases at that URL.
2. Be sure to click "Back" and see that it lost knowledge about the prior page.

Actual Results:  Does not behave like Netscape, Mozilla, Opera or Internet
Explorer.  Also loses knowledge of the prior page when you click "Back".

Expected Results:  That links should behave identically to other web browsers. 
It shouldn't lose knowledge of the prior page when you click "Back".
Comment 1 Warren Togami 2002-05-09 04:14:19 EDT
Re-tested: Still exists in Red Hat Linux 7.3.
Comment 2 Bernhard Rosenkraenzer 2002-07-02 11:51:46 EDT
Just checked with 3.0.2-1: The first 2 links work as expected, back works all 
the time, the space in the 3rd example is still converted to %20 [which is 
compliant to the specs, but not the same thing the other browsers do].
Comment 3 Warren Togami 2002-08-07 06:30:16 EDT
Should this still be considered a bug?  Compliant to specs, but different 
behavior from the other browsers. 
Comment 4 Warren Togami 2002-11-24 18:05:29 EST
Fixes pending upstream in KDE 3.1.
http://bugs.kde.org/show_bug.cgi?id=41798
http://bugs.kde.org/show_bug.cgi?id=40456
Comment 5 Warren Togami 2002-12-24 00:44:30 EST
Fixed in Phoebe.  Behaves exactly like Mozilla now.

Note You need to log in before you can comment on or make changes to this bug.